Skip to content

Available Security Group / List Available (Detachable) Security Groups

GET
/api/v1/security_group/{vm_id}/detach/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/security_group/{vm_id}/detach/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \
--header 'Authorization: Bearer <API_TOKEN>'

Lists the security groups that are attached to the load balancer’s VM and can be detached. The vm_id path parameter is the load balancer’s node_detail.vm_id.

Available Security Group and List Available (Detachable) Security Groups are the same request.

vm_id
required
string

Path parameter vm_id.

project_id
required
integer

Identifier of the project to scope the request to. Required integer project ID.

Example

<PROJECT_ID>
apikey
required
string

API key used to authenticate the request

Example

<API_KEY>
location
required
string

Location identifier for the security group query

Example

<LOCATION>

Successful response

Media typeapplication/json
object
code

HTTP status code indicating the result of the request

integer
data
Array<object>
object
id

Unique identifier of the security group

integer
name

Name of the security group

string
description

Brief textual description of the security group.

string
rules
Array<string>
is_default

Indicates whether the security group is the default one

boolean
is_all_traffic_rule

Indicates whether the rule applies to all traffic

boolean
errors
object
message

Human-readable status message for the response

string

Example

{
"code": 200,
"data": [
{
"id": 12345,
"name": "api-automation-sg-7177",
"description": "Base Security Group payload for negative testing",
"is_default": false,
"is_all_traffic_rule": false
}
],
"message": "Success"
}